import React, {Component} from 'react';
import './course.scss';

class Course extends Component {
    render() {
        return (
            <div>
                <ul className="course-detail">
                    {
                        this.props.data.map((item, index) => {
                            return (
                                <li key={index}>
                                    <a href="">
                                        <img src={item.src} alt=""/>
                                        <p className="course-title">{item.title}</p>
                                    </a>
                                    {item.isbuy === 0 && <p className="course-price">
                                        <span className="new">¥{item.price0}</span>
                                        <span className="old">¥{item.price1}</span>
                                    </p>}
                                    {item.isbuy === 1 &&
                                        <a href="" className="isbuy">已购买</a>
                                    }
                                </li>
                            )
                        })
                    }
                </ul>
            </div>
        )
    }

}
export default Course

