import React, {Component} from 'react';
import Course from './course.js';
import Scroll from './scroll.js';
import TopScroll from './topscroll.js';
import './index.scss';

class Index extends Component {
    state = {
        dataList: [
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '啊啊啊啊啊啊啊啊啊啊啊',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '啊啊啊啊啊啊啊啊啊啊啊',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '啊啊啊啊啊啊啊啊啊啊啊',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '啊啊啊啊啊啊啊啊啊啊啊',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 1,
                'price0': 100,
                'price1': 1000
            }
        ]
    }

    render() {
        return (
            <div className='indexbox'>
                <TopScroll data={this.state.dataList}></TopScroll>
                <div className="tabbox">
                    <ul>
                        <li><img
                            src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                            alt=""/><span>公开课</span></li>
                        <li><img
                            src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                            alt=""/><span>精品特惠</span></li>
                        <li><img
                            src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                            alt=""/><span>赚奖学金</span></li>
                        <li><img
                            src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                            alt=""/><span>每日一题</span></li>
                        <li><img
                            src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                            alt=""/><span>企业内训</span></li>
                    </ul>
                </div>
                <div className='category'>
                    <h2 className="title">近期直播</h2>
                    <div className="vip">
                        <a href="">
                            <img
                                src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                                alt="" />
                        </a>
                    </div>
                </div>
                <div className='category'>
                    <h2 className="title">新上好课</h2>
                    <Course data={this.state.dataList}></Course>
                </div>
                <div className='category'>
                    <h2 className="title">热门推荐</h2>
                    <a className="more" href="#">更多 ></a>
                    <Scroll data={this.state.dataList}></Scroll>
                    <Course data={this.state.dataList}></Course>
                </div>
                <div className='category'>
                    <h2 className="title">基础入门</h2>
                    <a className="more" href="#">更多 ></a>
                    <Course data={this.state.dataList}></Course>
                </div>
                <div className='category'>
                    <h2 className="title">就业班</h2>
                    <Course data={this.state.dataList}></Course>
                </div>
                <div className="category all-course">
                    <p>查看全部课程</p>
                    <span>数学基础、数学结构、大数据实战、Python...</span>
                </div>
            </div>
        );
    }

}

export default Index;
